# Get execution history

Gets a history of scheduled executions by name.

Endpoint: GET /schedule/history/{schedule_name}
Version: 3
Security: ApiKeyAuth

## Path parameters:

  - `schedule_name` (string, required)

## Query parameters:

  - `from` (integer)

  - `to` (integer)

## Response 200 fields (application/json):

  - `count` (integer, required)
    Example: 20

  - `from` (integer, required)
    Example: 5

  - `to` (integer, required)
    Example: 15

  - `history` (array, required)

  - `history.cpu_time` (integer, required)

  - `history.created_at` (string, required)
    Datetime in custom format (`2020-12-31 11:22:33 -0500` or `2020-12-31 11:22:33 UTC` for UTC)
    Example: 2020-12-31 11:22:33 UTC

  - `history.database` (string, required)
    database name

  - `history.duration` (integer, required)
    Duration
    Example: 10

  - `history.end_at` (any, required)

  - `history.hive_result_schema` (string, required)
    the schema for the job's result table

  - `history.job_id` (string, required)
    unique identifier of job
    Example: 19

  - `history.linked_result_export_job_id` (any, required)

  - `history.num_records` (integer, required)
    the number of records in the result. Will be `null` until job has finished, and may not be set for all query types
    Example: 100

  - `history.organization` (string, required)
    always "null"

  - `history.priority` (integer, required)
    job execution priority
    Example: 0

  - `history.query` (any, required)

  - `history.query.in` (object)

  - `history.query.in.connection_prop` (string)
    Example: connection_prop

  - `history.query.in.connection_secret` (string)
    Example: secret

  - `history.query.in.basic_prop` (string)
    Example: basic

  - `history.query.in.basic_secret` (string)
    Example: secret

  - `history.query.in.advanced_prop` (string)
    Example: advanced

  - `history.query.in.advanced_secret` (string)
    Example: secret

  - `history.query.in.type` (string)
    Example: some_type

  - `history.query.in.td_authentication_id` (integer)
    Example: 1234

  - `history.query.filters` (array)

  - `history.query.exec` (object)

  - `history.query.exec.type` (string)
    Example: some_type

  - `history.query.exec.basic_prop` (string)
    Example: basic

  - `history.query.exec.secret_prop` (string)
    Example: secret

  - `history.query.out` (object)

  - `history.query.out.type` (string)
    Example: some_type

  - `history.query.out.mode` (string)
    Example: mode

  - `history.query.out.plazma_dataset` (string)
    Example: plazma

  - `history.query.out.time_column` (string)
    Example: time

  - `history.result` (string)
    ...?

  - `history.result_export_target_job_id` (any, required)

  - `history.result_size` (integer, required)
    size in bytes of the job's result, in `msgpack.gz` format
    Example: 1048576

  - `history.retry_limit` (integer, required)
    automatically retry this many times on failure
    Example: 3

  - `history.start_at` (any, required)

  - `history.status` (string, required)
    current status of the job
    Enum: "queued", "running", "killed", "success", "error"

  - `history.type` (string, required)
    Example: presto

  - `history.url` (string, required)

  - `history.user_name` (string, required)
    user's full name or email
    Example: Treasure Data

  - `history.scheduled_at` (any, required)

